SymbolInfo (ZXing 3.5.0 API)

com.google.zxing.datamatrix.encoder

## Class SymbolInfo

- java.lang.Object
- - com.google.zxing.datamatrix.encoder.SymbolInfo

-     public class SymbolInfo
      extends Object

  Symbol info table for DataMatrix.
  Version:
    $Id$

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `matrixHeight`
    `int` | `matrixWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SymbolInfo(boolean rectangular, int dataCapacity, int errorCodewords, int matrixWidth, int matrixHeight, int dataRegions)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCodewordCount()`
    `int` | `getDataCapacity()`
    `int` | `getDataLengthForInterleavedBlock(int index)`
    `int` | `getErrorCodewords()`
    `int` | `getErrorLengthForInterleavedBlock(int index)`
    `int` | `getInterleavedBlockCount()`
    `int` | `getSymbolDataHeight()`
    `int` | `getSymbolDataWidth()`
    `int` | `getSymbolHeight()`
    `int` | `getSymbolWidth()`
    `static SymbolInfo` | `lookup(int dataCodewords)`
    `static SymbolInfo` | `lookup(int dataCodewords, boolean allowRectangular, boolean fail)`
    `static SymbolInfo` | `lookup(int dataCodewords, SymbolShapeHint shape)`
    `static SymbolInfo` | `lookup(int dataCodewords, SymbolShapeHint shape, Dimension minSize, Dimension maxSize, boolean fail)`
    `static void` | `overrideSymbolSet(SymbolInfo[] override)` Overrides the symbol info set used by this class.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### matrixWidth

          public final int matrixWidth

    - #### matrixHeight

          public final int matrixHeight

  - ### Constructor Detail

    - #### SymbolInfo

          public SymbolInfo(boolean rectangular,
                            int dataCapacity,
                            int errorCodewords,
                            int matrixWidth,
                            int matrixHeight,
                            int dataRegions)

  - ### Method Detail

    - #### overrideSymbolSet

          public static void overrideSymbolSet(SymbolInfo[] override)

      Overrides the symbol info set used by this class. Used for testing purposes.
      Parameters:
        `override` - the symbol info set to use

    - #### lookup

          public static SymbolInfo lookup(int dataCodewords)

    - #### lookup

          public static SymbolInfo lookup(int dataCodewords,
                                          SymbolShapeHint shape)

    - #### lookup

          public static SymbolInfo lookup(int dataCodewords,
                                          boolean allowRectangular,
                                          boolean fail)

    - #### lookup

          public static SymbolInfo lookup(int dataCodewords,
                                          SymbolShapeHint shape,
                                          Dimension minSize,
                                          Dimension maxSize,
                                          boolean fail)

    - #### getSymbolDataWidth

          public final int getSymbolDataWidth()

    - #### getSymbolDataHeight

          public final int getSymbolDataHeight()

    - #### getSymbolWidth

          public final int getSymbolWidth()

    - #### getSymbolHeight

          public final int getSymbolHeight()

    - #### getCodewordCount

          public int getCodewordCount()

    - #### getInterleavedBlockCount

          public int getInterleavedBlockCount()

    - #### getDataCapacity

          public final int getDataCapacity()

    - #### getErrorCodewords

          public final int getErrorCodewords()

    - #### getDataLengthForInterleavedBlock

          public int getDataLengthForInterleavedBlock(int index)

    - #### getErrorLengthForInterleavedBlock

          public final int getErrorLengthForInterleavedBlock(int index)

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007–2022. All rights reserved.